# DeviceAccessList Class Reference

### [com.trolltech.qt.phonon package]

### Constructor

- void DeviceAccessList()

### Constructor Properties

- prototype: The DeviceAccessList prototype object

### Prototype Object Properties

- void clear()
- int count()
- void detachShared()
- bool empty()
- bool isEmpty()
- int length()
- void move(int from, int to)
- void pop_back()
- void pop_front()
- void removeAt(int i)
- void removeFirst()
- void removeLast()
- void reserve(int size)
- void setSharable(bool sharable)
- int size()
- void swap(int i, int j)

### Instance Properties

DeviceAccessList objects have no special properties beyond those inherited from the DeviceAccessList prototype object.